| Home | Libraries | People | FAQ | More

##### as_vector

###### Description

Convert a fusion sequence to a `vector`.

###### Synopsis

    template <typename Sequence>
    typename result_of::as_vector<Sequence>::type
    as_vector(Sequence& seq);

    template <typename Sequence>
    typename result_of::as_vector<Sequence const>::type
    as_vector(Sequence const& seq);

###### Parameters

Parameter | Requirement | Description
--- | --- | ---
`seq` | An instance of Sequence | The sequence to convert.

###### Expression Semantics

    as_vector(seq);

Return type: `result_of::as_vector``<Sequence>::type`

Semantics: Convert a fusion sequence, `seq`, to a `vector`.

###### Header

    #include <boost/fusion/container/vector/convert.hpp>
    #include <boost/fusion/include/as_vector.hpp>

###### Example

    as_vector(make_list('x', 123, "hello"))